dofile_once( "mods/spellbound_bundle/files/scripts/utils.lua");

function shot( entity )
    local shooter_entity = GetUpdatedEntityID();
    local force_shooter = nil;
    if shooter_entity ~= nil then
        force_shooter = EntityGetVariable( shooter_entity, "gkbrkn_shooter", "int" );
    end

    local projectile = EntityGetFirstComponentIncludingDisabled( entity, "ProjectileComponent" );
    if projectile ~= nil then
        make_projectile_not_damage_shooter( entity, force_shooter );
        EntityAddComponent2( entity, "LuaComponent", {
            execute_on_added=true,
            script_shot="mods/spellbound_bundle/files/goki_ports/actions/protective_enchantment/shot.lua"
        } );
    end
end